Account Info
curl --request GET \
--url https://api.omnixapi.com/api/v1/twitter/account/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnixapi.com/api/v1/twitter/account/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnixapi.com/api/v1/twitter/account/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": true,
"data": {
"email": "[email protected]",
"name": "John Doe",
"credits_remaining": 8.96,
"credits_used": 13.832,
"total_requests": 12251,
"created_at": "2026-02-06T10:46:59.399Z"
},
"error": null
}Account
Account Info
Your OmniX account details, credit balance, and usage summary. Free — no credits are deducted — and no X account token is required (just your API key).
GET
/
account
/
me
Account Info
curl --request GET \
--url https://api.omnixapi.com/api/v1/twitter/account/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnixapi.com/api/v1/twitter/account/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnixapi.com/api/v1/twitter/account/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": true,
"data": {
"email": "[email protected]",
"name": "John Doe",
"credits_remaining": 8.96,
"credits_used": 13.832,
"total_requests": 12251,
"created_at": "2026-02-06T10:46:59.399Z"
},
"error": null
}